org.apache.commons.math.exception.util

## Class MessageFactory

- java.lang.Object
- - org.apache.commons.math.exception.util.MessageFactory

-     public class MessageFactory
      extends java.lang.Object

  Class for constructing localized messages.
  Since:
    2.2
  Version:
    $Revision$ $Date$

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `MessageFactory()` Class contains only static methods.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `buildMessage(java.util.Locale locale, Localizable specific, Localizable general, java.lang.Object... arguments)` Builds a message string by from two patterns (specific and general) and an argument list.
    `static java.lang.String` | `buildMessage(java.util.Locale locale, Localizable pattern, java.lang.Object... arguments)` Builds a message string by from a pattern and its arguments.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageFactory

          private MessageFactory()

      Class contains only static methods.

  - ### Method Detail

    - #### buildMessage

          public static java.lang.String buildMessage(java.util.Locale locale,
                                      Localizable pattern,
                                      java.lang.Object... arguments)

      Builds a message string by from a pattern and its arguments.
      Parameters:
        `locale` - Locale in which the message should be translated.
        `pattern` - Format specifier.
        `arguments` - Format arguments.
      Returns:
        a localized message string.

    - #### buildMessage

          public static java.lang.String buildMessage(java.util.Locale locale,
                                      Localizable specific,
                                      Localizable general,
                                      java.lang.Object... arguments)

      Builds a message string by from two patterns (specific and general) and an argument list.
      Parameters:
        `locale` - Locale in which the message should be translated.
        `specific` - Format specifier (may be null).
        `general` - Format specifier (may be null).
        `arguments` - Format arguments. They will be substituted in both the `general` and `specific` format specifiers.
      Returns:
        a localized message string.

Copyright (c) 2003-2013 Apache Software Foundation